# $Revision: 1.22 $, $Date: 2007-12-24 11:34:49 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	Factory
Summary:	Base class for dynamic factory classes
Summary(pl.UTF-8):	Klasa bazowa do dynamicznych klas przemysłowych
Name:		perl-Class-Factory
Version:	1.06
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c366a4540ef75266f2daaeb72df50b22
URL:		http://search.cpan.org/dist/Class-Factory/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is intended to provide a base class for dynamic factory
classes.

%description -l pl.UTF-8
Ten moduł ma za zadanie dostarczyć klasę bazową do dynamicznych klas
przemysłowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change*
%{perl_vendorlib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Factory.spec,v $
Revision 1.22  2007-12-24 11:34:49  qboosh
- generic URL

Revision 1.21  2007-12-23 22:54:23  zbyniu
- up to 1.06

Revision 1.20  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.18  2004/11/03 22:30:10  paladine
- formatting

Revision 1.17  2004/11/01 21:35:48  adamg
- updated to 1.03; fixed %%install

Revision 1.16  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.15  2004/05/07 00:35:12  ankry
- rel. 3

Revision 1.14  2004/05/06 18:09:20  ankry
- fixed perl-devel BR

Revision 1.13  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.12  2004/04/18 16:56:35  ankry
- license fixes and unification

Revision 1.11  2003/09/09 10:24:29  ankry
- spaces -> tab

Revision 1.10  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.9  2003/08/18 08:08:32  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 18:45:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/24 20:31:51  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:28:02  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/02/17 00:13:06  qboosh
- pl description(?)

Revision 1.1  2003/02/12 11:40:20  mis
- new
